Bayonne

From Free Software Directory
 
Jump to: navigation, search
[edit]

Bayonne

https://www.gnu.org/software/bayonne/
GNU telephony server

Bayonne is the telephony server of the GNU project. Based on the ACS project, it offers a multi-line interactive voice response telephony server which may be scripted and telephony plug-ins for runtime driver configuration directly extended thru modular plugins. Bayonne also features "TGI" for making Perl applications "telephony aware". Support has been extended to include XML parsing and support has been started on VoIP integration to support next generation telephone networks. The project is not fully completed but is moving steadily towards producing a finished project that may be used to build telephony based system administration, home automation, automated attendant, v-commerce, and voice messaging systems.

Documentation

User FAQ available from https://www.gnu.org/software/bayonne/faq.html; User manual available in HTML format from https://www.gnu.org/software/bayonne/documentation.html; User manual available for download from https://www.gnu.org/software/bayonne/bayonne-manual.tar.gz

Heckert gnu.small.png This is a GNU package:bayonne

Download

Download version 2.3.2 (stable)
released on 18 January 2007

See user manual for listing of commercial support providers

VCS Checkout

:pserver:anoncvs@subversions.gnu.org:/cvsroot/bayonne

Categories

Related Projects




Licensing

LicenseVerified byVerified onNotes
License:GPLv2orlaterJanet Casey25 June 2001



Leaders and contributors

Contact(s)Role
David Sugar Maintainer
Anders Dahnielson Contributor


Resources and communication

AudienceResource typeURI
DeveloperVCS Repository Webviewhttp://savannah.gnu.org/projects/bayonne/
Bug TrackingVCS Repository Webviewhttp://sourceforge.net/bugs/?group_id=3630
Bug TrackingE-mailmailto:Bayonne-bugs@gnu.org
DeveloperMailing List Info/Archivehttp://lists.gnu.org/mailman/listinfo/bayonne-devel


Software prerequisites

KindDescription
Weak prerequisitetelephony drivers
Required to useccaudio
Weak prerequisiteopenh323
Required to useccrtp
Weak prerequisitelibhoard
Required to uselibxml2
Weak prerequisitelibvpb2
Required to useccscript
Required to useCommon C++

This entry (in part or in whole) was last reviewed on 31 December 2016.



Entry















































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.